/* eslint-disable @typescript-eslint/no-unused-vars */
import type { RowProps } from 'element-plus'
import type { CheckCardItem } from './types'

export const checkCardProps = {
  // 选中值
  modelValue: {
    type: Object, // ToDo
    default: () => {
      return null
    }
  },
  // 数据
  items: Object as PropType<CheckCardItem[]>,
  // 是否多选
  multiple: Boolean,
  // 是否禁用
  disabled: Boolean,
  // 是否显示边框
  bordered: {
    type: Boolean,
    default: true
  },
  // 是否需要选中箭头
  arrow: {
    type: Boolean,
    default: true
  },
  // 是否使用栅格布局
  row: {
    type: [Boolean, Object] as PropType<boolean | Partial<RowProps>>,
    default: false
  }
}

/* 事件 */
export const checkCardEmits = {
  // 修改modelValue
  'update:modelValue': (_value: Array<any> | string | number | null) => true
}
