/* eslint-disable @typescript-eslint/no-unused-vars */

import type { CSSProperties } from 'vue'

/**
 * 属性
 */
export const splitPanelProps = {
  // 默认大小
  size: String,
  // 最小尺寸
  minSize: Number,
  // 最大尺寸
  maxSize: Number,
  // 间距
  space: String,
  // 自定义样式
  customStyle: Object as PropType<Partial<CSSProperties> | Array<Partial<CSSProperties>>>,
  // 自定义内容样式
  bodyStyle: Object as PropType<Partial<CSSProperties> | Array<Partial<CSSProperties>>>,
  // 是否可折叠
  allowCollapse: Boolean,
  // 折叠按钮样式
  collapseStyle: Object,
  // 是否折叠
  collapse: Boolean,
  // 是否垂直方向
  vertical: Boolean,
  // 是否反向布局
  reverse: Boolean,
  // 是否可拉伸宽度
  resizable: Boolean
}

export type SplitPanelProps = ExtractPropTypes<typeof splitPanelProps>

/**
 * 事件
 */
export const splitPanelEmits = {
  // 更新折叠状态
  'update:collapse': (_collapse: boolean) => true
}
