/* eslint-disable @typescript-eslint/no-unused-vars */
import type { InputProps, PopoverProps, TagProps } from 'element-plus'
import type { TableConfig } from './types'

export interface TableSelectProps {
  // 绑定值
  modelValue: any
  // 是否多选
  multiple?: boolean
  // 是否禁用
  disabled?: boolean
  // 尺寸
  size?: InputProps['size']
  // 是否支持清除
  clearable?: boolean
  // value 的属性名
  valueKey?: string
  // label 的属性名
  labelKey?: string
  // 回显数据，用于后端分页显示
  initValue?: string | object
  // 气泡位置
  placement?: PopoverProps['placement']
  // 占位符
  placeholder?: string
  // popover 宽度
  popperWidth?: number | string
  // 自定义 popper 类名
  popperClass?: string
  // popper 配置项
  popperOptions?: PopoverProps['popperOptions']
  // 表格配置
  tableConfig?: TableConfig
  // tag 类型
  tagType?: TagProps['type']
  // 最多显示多少个tag
  maxTagCount?: number
  // 自定义数据转换方法
  transformData?: Function
}

/**
 * 事件
 */
export const tableSelectEmits = {
  // 更新绑定值
  'update:modelValue': (_value: any) => true,
  // 清除按钮点击事件
  clear: () => true,
  // 多选单个清除事件
  'item-clear': (_value: object) => true,
  // 获取焦点事件
  focus: (_e: FocusEvent) => true,
  // 失去焦点事件
  blur: (_e: FocusEvent) => true,
  // 输入框值改变事件
  change: (_value: string | Array<any>) => true
}
